import { AddAgentRequest, RemoveAgentRequest } from '../../request';
import { BaseSecurityInPort } from '../BaseSecurityInPort';
export interface ISecurityInPortAgent {
    addAgent(request: AddAgentRequest): Promise<{
        payload: boolean;
        transactionId: string;
    }>;
    removeAgent(request: RemoveAgentRequest): Promise<{
        payload: boolean;
        transactionId: string;
    }>;
}
export declare class SecurityInPortAgent extends BaseSecurityInPort implements ISecurityInPortAgent {
    addAgent(request: AddAgentRequest): Promise<{
        payload: boolean;
        transactionId: string;
    }>;
    removeAgent(request: RemoveAgentRequest): Promise<{
        payload: boolean;
        transactionId: string;
    }>;
}
